package util

import (
	"github.com/bwmarrin/discordgo"
)

func SendSuccessEmbed(dg *discordgo.Session, channelID string, message string) {
	_, err := dg.ChannelMessageSendEmbed(
		channelID,
		&discordgo.MessageEmbed{
			Title:       "Success",
			Description: message,
			Color:       0x00D000,
		},
	)
	if err != nil {
		ReportError(dg, err)
	}
}

func SendErrorEmbed(dg *discordgo.Session, channelID string, toSend error) {
	SendFailEmbed(dg, channelID, "Error", toSend.Error())
}

func SendFailEmbed(dg *discordgo.Session, channelID string, title string, description string) {
	_, err := dg.ChannelMessageSendEmbed(
		channelID,
		&discordgo.MessageEmbed{
			Title:       title,
			Description: description,
			Color:       0xD00000,
		},
	)
	if err != nil {
		ReportError(dg, err)
	}
}
